Subject: bug#32501: Bouncing parentheses broken in REPL with vi-mode enabled

From: John Cowan <[email-masked]>
Date: Thu, 23 Aug 2018 12:13:57 -0400

Indeed, I pretty much only go into vi-mode in vi itself to use %; the rest
of the time, I remain an "ex" troglodyte whose only vi-commands are h, j,
k, l (and arrow analogues), x, %, and most importantly gQ.  Yes, even when
writing Lisp.

On Thu, Aug 23, 2018 at 12:05 AM Mark H Weaver <[email-masked]> wrote:

> Hi again,
>
> > Daniel Tam <[email-masked]> writes:
> >
> >> I've activated readline support for the Guile repl, but I've found that
> >> if my inputrc enables vi-mode, then the bouncing parentheses feature
> >> doesn't work. Disabling vi-mode does the trick.
> >
> > Indeed.  For some reason that I cannot determine, the bouncing
> > parentheses feature is specifically disabled when the vi keymap is in
> > use.
>
> I think I now see the reason for it.  I noticed that readline's default
> vi keymap includes a binding for '%', which jumps to the paren matching
> the one under the cursor.  That reminded me, from many years ago when I
> used vi more often, that this is the way that old vi traditionally
> allows matching parens to be found.
>
> So, I guess the decision long ago to disable bouncing parens when in vi
> mode was to match the way that emacs and vi behaved at that time.
>
> However, I just tried modern vim, and I see that it now highlights
> matching parens by default.  So, we should probably remove the 'if' to
> match this newer behavior.
>
>        Mark
>
>
>
>